#include <iostream>
#include <algorithm>
#include <vector>
#include <fstream>
#include <iomanip>
#include <cmath>
#include <set>

using namespace std;

int main() {
    string s;
    cin >> s;
    int n = (int) s.size();
    vector<int> data(n), minor(n);
    for (int i = 0; i < n; i++) {
        if (s[i] == '(') {
            data[i] = 1;
        } else {
            data[i] = -1;
        }
        if (i > 0) {
            data[i] += data[i - 1];
        }
    }
    for (int i = n - 1; i >= 0; i--) {
        if (s[i] == '(') {
            minor[i] = 1;
        } else {
            minor[i] = -1;
        }
        if (i < n - 1) {
            minor[i] += minor[i + 1];
        }

    }
    if (n <= 10) {
        for (int i = 0; i < n; i++) {
            string ans;
            for (int j = i + 1; j < n; j++) {
                ans += s[j];
            }
            for (int j = 0; j <= i; j++) {
                ans += s[j];
            }
            int a = 0, b = 1;
            for (int j = 0; j < n; j++) {
                if (ans[j] == '(') {
                    a++;
                } else if (ans[j] == ')') {
                    a--;
                }
                if (a < 0) {
                    b = 0;
                    break;
                }
            }
            if (a != 0) {
                b = 0;
            }
            if (b == 1) {
                cout << "Yes";
                return 0;
            }
        }
        cout << "No";
        return 0;
    }

    for (int i = 0; i < n - 1; i++) {
        if (minor[i + 1] >= 0 and minor[i + 1] == data[i] * -1) {
            cout << "Yes";
            return 0;
        }
    }
    cout << "No";
}